Woocommerce Product Country Base Restrictions

plugin banner

Restrict WooCommerce products to certain countries.

Author:zorem (profile at wordpress.org)
WordPress version required:4.0
WordPress version tested:5.4.2
Plugin version:2.7.2
Added to WordPress repository:04-10-2018
Last updated:08-07-2020
Rating, %:100
Rated by:4
Plugin URI:https://www.zorem.com/shop/woocommerce-produc...
Total downloads:18 690
Active installs:1 000+
plugin download
Click to start download

If you have products that you want to be available to purchase only to customers to specific countries? Do you have products that you Do Not want to be available to purchase to specific countries? The country based restrictions plugin by zorem works by the WooCommerce Geolocation or the shipping country added by the customer and allows you to restrict products on your store to sell or not to sell to specific countries

Key Features

  • Restricted products to not be show completely
  • Hide restricted products completely from the shop and search but let users enter them from a direct link.
  • Keep restricted products visible on the shop and search (but not purchasable)
  • Choose for each product the restriction rule (include or exclude) and choose the countries to apply the rule

PRO Features

  • Bulk restrict products by Category, Tags, Attributes, Shipping class, Global(All Products).
  • Bulk restrict products by CSV import
  • Disable Payment methods by restected countries.
  • Hide Product Price for Restricted Products
  • Remove Single product rule by Bulk Action.

Get the Country Based Restrictions Pro >

Documentation

Click Here Purchase License

How it works

  • Go to plugin settings and set up the general visibility options
  • For each product in your catalog you can set if to allow or disallow to a list of countries.
  • WooCommerce shipping country is used to determine what country the visitor is from a country which is restricted for a product, if a shipping country is not set, WooCommerce Geolocation is used.

You will need WooCommerce 3.0 or newer.
Does support translation.


Screenshots
FAQ
ChangeLog